Bug 1419155

Summary: gtimelog fails with Namespace AppIndicator3 not available
Product: [Fedora] Fedora Reporter: Eric Lavarde <elavarde>
Component: gtimelogAssignee: David King <amigadave>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 25CC: amigadave, j.golderer
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gtimelog-0.10.3-1.fc28 gtimelog-0.10.3-1.fc27 gtimelog-0.10.3-1.fc26 gtimelog-0.10.3-1.fc25 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-11-15 17:40:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Eric Lavarde 2017-02-03 17:35:12 UTC
Description of problem:
can't start gtimelog because it misses a library

Version-Release number of selected component (if applicable):
$ rpm -q gtimelog
gtimelog-0.10.1-1.fc25.noarch

How reproducible:
always

Steps to Reproduce:
1. start gtimelog
2.
3.

Actual results:
Traceback (most recent call last):
  File "/usr/bin/gtimelog", line 9, in <module>
    load_entry_point('gtimelog==0.10.1', 'gui_scripts', 'gtimelog')()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 542, in load_entry_point
    return get_distribution(dist).load_entry_point(group, name)
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2575, in load_entry_point
    return ep.load()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2235, in load
    return self.resolve()
  File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2241, in resolve
    module = __import__(self.module_name, fromlist=['__name__'], level=0)
  File "/usr/lib/python3.5/site-packages/gtimelog/main.py", line 32, in <module>
    gi.require_version('AppIndicator3', '0.1')
  File "/usr/lib64/python3.5/site-packages/gi/__init__.py", line 118, in require_version
    raise ValueError('Namespace %s not available' % namespace)
ValueError: Namespace AppIndicator3 not available


Expected results:
it starts and works...

Additional info:

As I see that there is a python-appindicator package, but no python3-appindicator package, I guess that it's the issue, but I don't understand how the package went through quality control...

Comment 1 Julian G 2017-10-31 08:55:14 UTC
The dependencies are missing the libappindicator-gtk3 package.

Comment 2 Fedora Update System 2017-10-31 09:55:32 UTC
gtimelog-0.10.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee6688881b

Comment 3 Fedora Update System 2017-10-31 10:02:16 UTC
gtimelog-0.10.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-53981201f3

Comment 4 Fedora Update System 2017-10-31 19:10:27 UTC
gtimelog-0.10.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ee6688881b

Comment 5 Fedora Update System 2017-11-01 16:57:39 UTC
gtimelog-0.10.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-99e1fc4889

Comment 6 Fedora Update System 2017-11-01 17:22:27 UTC
gtimelog-0.10.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-53981201f3

Comment 7 Fedora Update System 2017-11-15 17:40:52 UTC
gtimelog-0.10.3-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2017-11-15 20:13:50 UTC
gtimelog-0.10.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-11-15 22:29:02 UTC
gtimelog-0.10.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.